Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

I can’t access the Cisco Jabber Video for TelePresence website. What should I do?

Try opening the website in a different web browser. Supported browsers include the following:

  • Internet Explorer 7 and later
  • Firefox 3.5 and later
  • Safari 5 and later
  • Chrome 10 and later
  • Opera 11 and later
Version history
Revision #:
1 of 1
Last update:
‎11-23-2011 10:28 AM
Updated by:
 
Labels (1)